Parameters(k_on=1.0, k_off=1.0, delta_E_upper=0.5, delta_E_lower=-0.5)

Ca_lower = load_submodel("Ca_lower_bind", 1)
Ca_upper = load_submodel("Ca_upper_bind", 1)

Rates[0,1] = k_on*exp(delta_E_upper)**Ca_upper.value*\
             exp(delta_E_lower)**Ca_lower.value
Rates[1,0] = k_off*exp(delta_E_upper)**-Ca_upper.value*\
             exp(delta_E_lower)**-Ca_lower.value

StateValues[1] = 1
