#!/usr/bin/env python
" A script to generate the documentation with"

__author__ = "Johan Hake (hake.dev@gmail.com)"
__copyright__ = "Copyright (C) 2010 " + __author__
__date__ = "2010-11-26 -- 2011-05-03"
__license__  = "GNU LGPL Version 3.0 or later"

import sys
from subcell.common.commands import get_output

try:
    import epydoc
except Exception, e:
    raise ImportError, "Install epydoc to build SubCell documentation"

cmdstr = "epydoc -vvv --no-private --no-sourcecode -n SubCell -c epydoc.css subcellmodule/SubCell.py"

print "Generating html documentation...",
sys.stdout.flush()
get_output(cmdstr)
print "done"
