"Run all tests"

__author__ = "Johan Hake (hake.dev@gmail.com)"
__date__ = "2010-03-19 -- 2011-01-31"
__copyright__ = "Copyright (C) 2010 " + __author__
__license__  = "GNU LGPL version 3.0"

from subcell.common import get_status_output

import re, sys, os

pwd = os.path.dirname(os.path.abspath(__file__))

# Tests to run
tests = ["regression"] #"unit", 

failed = []

# Command to run
command = "python test.py " + " ".join(sys.argv[1:])

# Run testsg
for test in tests:
    print ""
    print "Running tests: %s" % test
    print "----------------------------------------------------------------------"
    os.chdir(os.path.join(pwd, test))
    fail, output = get_status_output(command)
    print output
    if fail:
        failed.append(fail)

sys.exit(len(failed))
