__author__ = "Johan Hake (hake.dev@gmail.com)"
__copyright__ = "Copyright (C) 2010 " + __author__
__date__ = "2010-09-14 -- 2012-07-23"
__license__  = "GNU LGPL Version 3.0 or later"

# Fixing some bug relating to import io after dolfin...
import io

# Import subcell modules
import subcell.model as model
import subcell.backends as backends
import subcell.common as common
import subcell.runner as runner

# Import classes and routines from subcell modules
from subcell.model import *
from subcell.runner import *
from subcell.common.parameterdict import *
from subcell.common import DEBUG, INFO, WARNING, ERROR, CRITICAL, \
     info, debug, warning, error, set_log_level

# Assign the __all__ attribute
__all__ = [name for name in globals().keys() if name[:1] != "_"]

# Version
__version__ = "0.2"
